Bug 98216 - Build failure in Continuous
Summary: Build failure in Continuous
Status: RESOLVED FIXED
Alias: None
Product: ModemManager
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: ModemManager bug user
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-12 17:35 UTC by Emmanuele Bassi (:ebassi)
Modified: 2016-10-13 10:01 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emmanuele Bassi (:ebassi) 2016-10-12 17:35:42 UTC
MM fails to build in GNOME Continuous with this error:


In file included from ublox/mm-ublox-enums-types.c:4:0:
ublox/mm-ublox-enums-types.h:4:36: fatal error: mm-modem-helpers-ublox.h: No such file or directory
 #include "mm-modem-helpers-ublox.h"
                                    ^
compilation terminated.

See: http://build.gnome.org/continuous/buildmaster/builds/2016/10/12/38/build/log-ModemManager.txt

Sadly, the build log is pretty terrible because of the massive amount of deprecation warnings; I strongly suggest you add `-DGLIB_DISABLE_DEPRECATION_WARNINGS` if you're not planning to port to GTask.

I've tagged ModemManager in Continuous until the build is fixed.
Comment 1 Aleksander Morgado 2016-10-13 10:01:31 UTC
Thanks, it should be now fixed in git master. I also disabled deprecation warnings, btw.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.